package de.intevation.gnv.math;

import java.io.Serializable;

/**
 * @author <a href="mailto:sascha.teichmann@intevation.de">Sascha L. Teichmann</a>
 */
public class IJKey
implements   Serializable
{
    public int i;
    public int j;

    public IJKey() {
    }

    public IJKey(int i, int j) {
        this.i = i;
        this.j = j;
    }

    public void sort() {
        if (i > j) {
            int t = i;
            i = j;
            j = t;
        }
    }

    public int hashCode() {
        return (i << 16) | j;
    }

    public boolean equals(Object obj) {
        IJKey other = (IJKey)obj;
        return i == other.i && j == other.j;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8:
